I'm testing lates 2.2 alpha, to build gnupg I had to add the following packages.

libksba-dev, libgcrypt11-dev, libgpg-error-dev, libassuan-dev, libpth-dev